services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    App\Domain\:
        resource: '../../src/Domain/*/{Generator,Handler,Metrics}'

    App\Domain\Reporting\Generator\Csv\CollectivityGenerator:
        arguments:
            $defaultDpoCivility: '%env(APP_DPO_CIVILITY)%'
            $defaultDpoFirstName: '%env(APP_DPO_FIRST_NAME)%'
            $defaultDpoLastName: '%env(APP_DPO_LAST_NAME)%'
            $defaultDpoCompany: '%env(APP_DPO_COMPANY)%'
            $defaultDpoJob: '%env(APP_DPO_JOB)%'
            $defaultDpoMail: '%env(APP_DPO_MAIL)%'
            $defaultDpoPhoneNumber: '%env(APP_DPO_PHONE_NUMBER)%'

    App\Domain\Reporting\Generator\Word\OverviewGenerator:
        arguments:
            $logoDir: '%kernel.project_dir%/public'
            $dpdLogo: '%env(APP_DPO_IMAGE_LOGO_COULEUR)%'
